Skip to content
Doug Massay edited this page Mar 20, 2019 · 23 revisions

Welcome to the Sigil wiki!

If you're here because...

Sigil v0.9.13 (or higher) is crashing, won't run correctly, or won't start at all, please see the below message. In short, your preference INI files from Sigil 0.9.11/12 are not compatible with Sigil 0.9.13+. If you have backups of your preferences from Sigil v0.9.10 or earlier, you can restore those. Otherwise ... you need to delete Sigil's preference INI files, let Sigil recreate default ones when it next starts, and then reconfigure your preferences from Sigil's normal interface. We apologize for any inconvenience.

For those who don't know where their preference files are; you can always get to them by clicking the "Open Preferences Location" button at the bottom of Sigil's Preferences dialog (Edit->Preferences). If you can't launch Sigil, however you can find them at:

Windows Directions

Linux Directions

The four INI files are what needs to be restored from Sigil-0.9.10 (or earlier) backups, or deleted if you don't have backups. Any temporary lock files corresponding to those INI files should deleted regardless. You can also safely restore your plugins, plugin_prefs (and any dictionary) folders if you don't want to reinstall/reconfigure them all. It's only the INI files that are at issue here.


Versions 0.9.11 and 0.9.12 of Sigil are very buggy.

Please don't use them. If you have good backups of your Sigil 0.9.10 (or earlier) preferences, roll back to Sigil 0.9.10 and restore your backed up preferences. If you don't have backups of your Sigil 0.9.10 (or earlier) preferences, roll back to Sigil 0.9.10 anyway and recreate your preferences as best you can from within Sigil's UI. Those preferences will be usable with Sigil v0.9.13 (and higher) when it is released.

General Platform-agnostic Tips

When you fire up Sigil for the very first time:

  • navigate to the new General Preferences and select the default epub version you plan to work with (epub 2 or epub3) so that new empty ebooks start with the correct code.
  • if you plan to work with epub3 epubs, you should change your PreserveEntities setting to use ONLY NUMERIC entities. For example use   for non-breaking spaces and etc.
  • We strongly recommend enabling Mend On Open in your settings for best performance with Sigil.
You can’t perform that action at this time.